Bug 2134717 (CVE-2022-39283)

Summary: CVE-2022-39283 freerdp: clients using the `/video` command line switch might read uninitialized data
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, negativo17, oholy, philip.wyett
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: freerdp 2.8.1 Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in FreeRDP where all clients using the /video command line switch might read uninitialized data, decode it as audio/video and display the result, leading to information disclosure.
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-05-16 20:34:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2134719, 2134718, 2136153, 2136154    
Bug Blocks: 2134716    

Description Marian Rehak 2022-10-14 06:14:16 UTC
All FreeRDP based clients when using the `/video` command line switch might read uninitialized data, decode it as audio/video and display the result.

Reference:

https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-6cf9-3328-qrvh

Comment 1 Marian Rehak 2022-10-14 06:14:31 UTC
Created freerdp tracking bugs for this issue:

Affects: fedora-all [bug 2134718]


Created freerdp1.2 tracking bugs for this issue:

Affects: epel-7 [bug 2134719]

Comment 3 TEJ RATHI 2022-10-19 13:11:50 UTC
Reference: https://github.com/FreeRDP/FreeRDP/releases/tag/2.8.1

Comment 4 errata-xmlrpc 2023-05-09 07:29:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:2326 https://access.redhat.com/errata/RHSA-2023:2326

Comment 5 errata-xmlrpc 2023-05-16 08:20:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:2851 https://access.redhat.com/errata/RHSA-2023:2851

Comment 6 Product Security DevOps Team 2023-05-16 20:34:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-39283